Manifest-Version: 1.0
Bnd-LastModified: 1749558096895
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Data Engine Taglib
Bundle-SymbolicName: com.liferay.data.engine.taglib
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.3.25.hotfix-6668-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.data.engine.taglib.servlet.taglib;version=
 "1.3.0.hotfix-6668-7413";uses:="javax.servlet.http,javax.servlet.jsp"
 ,com.liferay.data.engine.taglib.servlet.taglib.definition;version="1.
 5.0.hotfix-6668-7413"
Import-Package: com.liferay.data.engine.content.type;version="1.5",com
 .liferay.data.engine.field.type.util;version="1.2",com.liferay.data.e
 ngine.renderer;version="1.4",com.liferay.data.engine.rest.dto.v2_0;ve
 rsion="4.1",com.liferay.data.engine.rest.dto.v2_0.util;version="1.0",
 com.liferay.data.engine.rest.resource.exception;version="2.1",com.lif
 eray.data.engine.rest.resource.v2_0;version="7.1",com.liferay.data.en
 gine.taglib.servlet.taglib.definition;version="1.5",com.liferay.dynam
 ic.data.mapping.form.builder.context;version="1.0",com.liferay.dynami
 c.data.mapping.form.field.type;version="1.12",com.liferay.dynamic.dat
 a.mapping.form.renderer;version="1.7",com.liferay.dynamic.data.mappin
 g.form.values.factory;version="1.0",com.liferay.dynamic.data.mapping.
 io;version="2.2",com.liferay.dynamic.data.mapping.model;version="6.0"
 ,com.liferay.dynamic.data.mapping.service;version="3.12",com.liferay.
 dynamic.data.mapping.spi.form.builder.settings;version="1.0",com.life
 ray.dynamic.data.mapping.storage;version="1.9",com.liferay.dynamic.da
 ta.mapping.util;version="3.5",com.liferay.expando.kernel.model;versio
 n="4.1",com.liferay.frontend.js.loader.modules.extender.npm;version="
 3.5",com.liferay.petra.function;version="1.4",com.liferay.petra.strin
 g;version="1.5",com.liferay.portal.json,com.liferay.portal.json.jabso
 rb.serializer,com.liferay.portal.kernel.exception;version="10.1",com.
 liferay.portal.kernel.json;version="9.1",com.liferay.portal.kernel.la
 nguage;version="9.0",com.liferay.portal.kernel.log;version="7.1",com.
 liferay.portal.kernel.model;version="12.0",com.liferay.portal.kernel.
 portlet;version="15.0",com.liferay.portal.kernel.servlet.taglib.aui;v
 ersion="8.2",com.liferay.portal.kernel.theme;version="7.0",com.lifera
 y.portal.kernel.upload;version="8.1",com.liferay.portal.kernel.util;v
 ersion="31.0",com.liferay.taglib.util;version="12.0",javax.portlet,ja
 vax.servlet,javax.servlet.http,javax.servlet.jsp;version="2.3"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Data Engine
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.data.engine.taglib.internal.servlet,com.l
 iferay.data.engine.taglib.internal.servlet.taglib.util,com.liferay.da
 ta.engine.taglib.servlet.taglib.base
Provide-Capability: osgi.webresource;osgi.webresource=data-engine-tagl
 ib;version:Version="3.3.25.hotfix-6668-7413",osgi.extender;osgi.exten
 der="jsp.taglib";uri="http://liferay.com/tld/data-engine";version:Ver
 sion="3.3.25.hotfix-6668-7413",osgi.service;objectClass:List<String>=
 "com.liferay.data.engine.taglib.internal.servlet.taglib.util.DataLayo
 utTaglibUtil";uses:="com.liferay.data.engine.taglib.internal.servlet.
 taglib.util",osgi.service;objectClass:List<String>="com.liferay.data.
 engine.taglib.servlet.taglib.definition.DataLayoutBuilderDefinition";
 uses:="com.liferay.data.engine.taglib.servlet.taglib.definition"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/clay))",osgi.exten
 der;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/
 frontend))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=h
 ttp://liferay.com/tld/react))",osgi.extender;filter:="(&(osgi.extende
 r=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",osg
 i.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.c
 om/tld/util))",osgi.extender;filter:="(&(osgi.extender=osgi.component
 )(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(objectC
 lass=com.liferay.data.engine.content.type.DataDefinitionContentType)"
 ;effective:=active;resolution:=optional;cardinality:=multiple,osgi.se
 rvice;filter:="(objectClass=com.liferay.data.engine.renderer.DataLayo
 utRenderer)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.data.engine.rest.resource.v2_0.DataDefinitionResource$Factor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 data.engine.rest.resource.v2_0.DataLayoutResource$Factory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.data.engine.r
 est.resource.v2_0.DataRecordResource$Factory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.data.engine.taglib.servlet
 .taglib.definition.DataLayoutBuilderDefinition)";effective:=active;re
 solution:=optional;cardinality:=multiple,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.form.builder.context.DDMFormB
 uilderContextFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldT
 ypeServicesTracker)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.dynamic.data.mapping.form.renderer.DDMFormTemplateCo
 ntextFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.form.values.factory.DDMFormValuesFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.io.DDMFormDeserializer)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.io.D
 DMFormLayoutDeserializer)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.dynamic.data.mapping.service.DDMStructureLayou
 tLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.dynamic.data.mapping.service.DDMStructureLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.dynam
 ic.data.mapping.spi.form.builder.settings.DDMFormBuilderSettingsRetri
 everHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.frontend.js.loader.modules.extender.npm.NPMResolver)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.json.JSONFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi
 .service;filter:="(objectClass=javax.servlet.ServletContext)";effecti
 ve:=active,osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.c
 ontract=JavaServlet)(version=3.1.0))",osgi.contract;osgi.contract=Jav
 aPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi
 .ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.data.engine.taglib.internal.se
 rvlet.ServletContextUtil.xml,OSGI-INF/com.liferay.data.engine.taglib.
 internal.servlet.taglib.util.DataLayoutTaglibUtil.xml,OSGI-INF/com.li
 feray.data.engine.taglib.servlet.taglib.definition.DefaultDataLayoutB
 uilderDefinition.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /data-engine-taglib

